Bug 19041 - [wx] Frames support
: [wx] Frames support
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit wx
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Kevin Ollivier
: Wx
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 20:57 PDT by Kevin Ollivier
Modified: 2009-09-03 14:22 PDT (History)
1 user (show)

See Also:


Attachments
first pass at PltformScrollbar (9.47 KB, patch)
2008-05-14 00:43 PDT, Robin Dunn
ddkilzer: review-
Details | Formatted Diff | Diff
wxWebFrame rename to enable us to work on next steps (27.02 KB, patch)
2008-05-16 23:24 PDT, Kevin Ollivier
no flags Details | Formatted Diff | Diff
Revised wxWebFrame patch (32.99 KB, patch)
2008-08-06 17:02 PDT, Kevin Watters
no flags Details | Formatted Diff | Diff
finishes wx port frames support (70.77 KB, patch)
2009-09-03 08:44 PDT, Kevin Watters
no flags Details | Formatted Diff | Diff
finishes wx port frames support (revised) (66.05 KB, patch)
2009-09-03 12:15 PDT, Kevin Watters
kevino: review+
kevino: commit‑queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Ollivier 2008-05-13 20:57:29 PDT
This is a bug for putting all the patches related to Frames support. I think in the end, it will require three major steps:

1. Rename wxWebFrame to wxWebBrowserShell, to allow us to create a wxWebFrame that is roughly analogous with WebFrame.

2. Implement wxWebFrame to encapsulate frame creation and load.

3. Implement support for PlatformScrollbar
Comment 1 Robin Dunn 2008-05-14 00:43:11 PDT
Created attachment 21119 [details]
first pass at PltformScrollbar

Here's a first try at PlatformScrollbar for you to play with.  Not sure if it's doing what it is supposed to yet, but it at least compiles.
Comment 2 Kevin Ollivier 2008-05-16 23:24:56 PDT
Created attachment 21210 [details]
wxWebFrame rename to enable us to work on next steps
Comment 3 Darin Adler 2008-05-19 10:52:40 PDT
Comment on attachment 21210 [details]
wxWebFrame rename to enable us to work on next steps

rs=me
Comment 4 Kevin Ollivier 2008-05-20 22:49:04 PDT
wxWebFrame rename landed in r33957, thanks! :)
Comment 5 David Kilzer (:ddkilzer) 2008-05-28 07:12:22 PDT
Can this bug be marked as RESOLVED/FIXED, or does Attachment #21119 [details] still need to be reviewed?
Comment 6 Kevin Ollivier 2008-05-28 11:23:53 PDT
This still needs to be reviewed. I've finally got some extra time to work on clearing the backlog of patches, so hopefully we should have things worked out by tomorrow or so. (I would have done it yesterday, but the addition of SquirrelFish, and the recurrence of an old FontPlatformData crash which I thought we had fixed had me playing catchup for a while. ;-)
Comment 7 Darin Adler 2008-06-08 13:35:50 PDT
Comment on attachment 21210 [details]
wxWebFrame rename to enable us to work on next steps

Clearing the review flag on this already-landed patch.
Comment 8 David Kilzer (:ddkilzer) 2008-07-01 08:30:48 PDT
Comment on attachment 21119 [details]
first pass at PltformScrollbar

Thanks for the patch, Robin!

r- since this patch needs ChangeLog entries.  See this page for more details:

http://webkit.org/coding/contributing.html

Also note that it may have bit-rotted since the rename patch landed (and due to other renames in the WebKit source tree).  

Overall the style and formatting of the code in the patch looks good.  You might consider adding your own copyright statement to the modified files (or at least the brand new file, even though it's based on an existing file).

Please update the patch and resubmit!
Comment 9 Kevin Watters 2008-08-06 17:02:10 PDT
Created attachment 22689 [details]
Revised wxWebFrame patch

Revised version of the above patch implementing wxWebFrame, with ChangeLog entries.
Comment 10 Kevin Ollivier 2008-08-06 20:48:18 PDT
Comment on attachment 22689 [details]
Revised wxWebFrame patch

This looks good to me, and as discussed, we really can use the leak fix. :)
Comment 11 Kevin Ollivier 2008-08-06 20:52:38 PDT
Comment on attachment 22689 [details]
Revised wxWebFrame patch

Patch landed in r35620, thanks! :)
Comment 12 Kevin Watters 2009-09-03 08:44:16 PDT
Created attachment 38994 [details]
finishes wx port frames support
Comment 13 Kevin Watters 2009-09-03 12:15:27 PDT
Created attachment 39001 [details]
finishes wx port frames support (revised)
Comment 14 Kevin Ollivier 2009-09-03 14:22:18 PDT
Landed in r48029, thanks! :)